Skip to content

Hubs

Each federation has exactly one hub — the authoritative Moodle that publishes courses (mode A) and/or owns identity (mode B).

Get the federation's hub

GET
/api/federations/{federationId}/hub

Each federation has exactly one hub. 404 if the hub has not been provisioned yet.

Authorizations

bearer
Type
HTTP (bearer)

Parameters

Path Parameters

federationId*

Federation slug or id.

Type
string
Required

Responses

Playground

Server
Authorization
Variables
Key
Value

Samples


List audit activity for the hub

GET
/api/federations/{federationId}/hub/activity

Reverse-chronological. before is a ms-since-epoch cursor.

Authorizations

bearer
Type
HTTP (bearer)

Parameters

Path Parameters

federationId*

Federation slug or id.

Type
string
Required

Query Parameters

limit

1–100, default 25.

Type
number
before

Cursor: ms-since-epoch timestamp.

Type
string

Responses

application/json
JSON
[
{
}
]

Playground

Server
Authorization
Variables
Key
Value

Samples


Powered by VitePress OpenAPI

Released under the GPL v3 license.